in scala.xml.parsing
class ConstructingParser

`class` ConstructingParser
  `extends` scala.xml.parsing.ConstructingHandler
  `with` scala.xml.parsing.ExternalSources
  `with` scala.xml.parsing.MarkupParser
  `with` scala.ScalaObject

  An xml parser. parses XML and invokes callback methods of a MarkupHandler. Don't forget to call next.ch on a freshly instantiated parser in order to initialize it. If you get the parser from the object method, initialization is already done for you.

      object parseFromURL {
        def main(args:Array[String]): Unit = {
          val url = args(0);
          val src = scala.io.Source.fromURL(url);
          val cpa = scala.xml.parsing.ConstructingParser.fromSource(src, false); // fromSource initializes automatically
          val doc = cpa.document();
          // let's see what it is
          val ppr = new scala.xml.PrettyPrinter(80,5);
          val ele = doc.docElem;
          Console.println("finished parsing");
          val out = ppr.format(ele);
          Console.println(out);
        }
      }

Constructor Summary
| `def` this (inp: scala.io.Source, presWS: scala.Boolean)

Val Summary
| `val` input : scala.io.Source
| `val` preserveWS : scala.Boolean

Val inherited from scala.xml.parsing.MarkupParser
cbuf , handle

Var inherited from scala.xml.parsing.MarkupParser
ch , curInput, doc, dtd, eof, extIndex, inpStack, pos, tmppos

Def Summary
`override` | `def` log (msg: java.lang.String) : scala.Unit

Def inherited from scala.xml.parsing.ConstructingHandler
comment , elem, entityRef, procInstr, text

Def inherited from scala.xml.parsing.ExternalSources
externalSource , externalSourceFromURL

Def inherited from scala.xml.parsing.MarkupParser
appendText , attrDecl, content, content1, document, element, element1, elementDecl, entityDecl, extSubset, externalID, externalSource, intSubset, markupDecl, markupDecl1, nextch, normalizeAttributeValue, notationDecl, parseDTD, pop, prolog, pubidLiteral, push, pushExternal, putChar, reportSyntaxError, reportSyntaxError, reportValidationError, systemLiteral, textDecl, xAttributeValue, xAttributes, xCharData, xCharRef, xComment, xEQ, xEndTag, xEntityValue, xName, xProcInstr, xSpace, xSpaceOpt, xTag, xText, xToken, xToken, xmlProcInstr

Constructor Detail

`def` this (inp: scala.io.Source, presWS: scala.Boolean)

Val Detail

`val` input : scala.io.Source

`val` preserveWS : scala.Boolean

Def Detail

`override def` log (msg: java.lang.String): scala.Unit